Skip to main content
`Ctrl`+`K`

# PetscDrawViewPortsSet

sets a draw object to use a particular subport

## Synopsis

    #include "petscdraw.h"
    PetscErrorCode PetscDrawViewPortsSet(PetscDrawViewPorts *ports, PetscInt port)

Logically Collective on the `PetscDraw` inside `ports`

## Input Parameters

- ports - the `PetscDrawViewPorts` object

- port - the port number, from 0 to nports-1

## Fortran Note

No Fortran support

## See Also

`PetscDrawViewPorts`, `PetscDrawSplitViewPort()`, `PetscDrawSetViewPort()`, `PetscDrawViewPortsDestroy()`, `PetscDrawViewPortsCreate()`

## Level

advanced

## Location

src/sys/classes/draw/interface/dviewp.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages